ImaJmsException ("Eclipse Amlen" Javadoc Reference)

Package com.ibm.ima.jms

## Interface ImaJmsException

-     public interface ImaJmsException

  Defines an interface with common extensions to IBM MessageSight JMS client exceptions which allow additional information to be returned for these exceptions. All objects which implement this interface also extend Throwable and many of the common Throwable methods are included here for convenience.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `COPYRIGHT` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Throwable` | `getCause()` | Gets the cause of the exception.
    `String` | `getErrorCode()` | Gets the error code string.
    `int` | `getErrorType()` | Gets the error code as an integer.
    `String` | `getLocalizedMessage()` | Gets the formatted message in the default locale.
    `String` | `getMessage()` | Gets the formatted message.
    `String` | `getMessage​(Locale locale)` | Gets the formatted message in the specified locale.
    `String` | `getMessageFormat()` | Gets the message as the string form of a message format.
    `String` | `getMessageFormat​(Locale locale)` | Gets the message as the string form of a message format in the specified locale.
    `Object[]` | `getParameters()` | Gets the replacement data for the exception message.
    `StackTraceElement[]` | `getStackTrace()` | Gets the stack trace for this object.
    `void` | `printStackTrace​(PrintStream s)` | Prints the backtrace to the specified print stream.
    `void` | `printStackTrace​(PrintWriter s)` | Prints the backtrace to the specified print writer.

- - ### Field Detail

    - #### COPYRIGHT

          static final String COPYRIGHT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getErrorCode

          String getErrorCode()

      Gets the error code string.
      Returns:
        The error code which is a character string which uniquely identifies the exception message.

    - #### getMessageFormat

          String getMessageFormat()

      Gets the message as the string form of a message format.
      Returns:
        The untranslated message format in string form.

    - #### getMessageFormat

          String getMessageFormat​(Locale locale)

      Gets the message as the string form of a message format in the specified locale. If the locale is null, return the untranslated message format. If the message format is unavailable for the specified locale, use normal locale search to find the best available version of the message format based on the locale.
      Parameters:
        `locale` - The locale in which to return the message format.
      Returns:
        The message format in string form in the specified locale.

    - #### getParameters

          Object[] getParameters()

      Gets the replacement data for the exception message.
      Returns:
        An array of replacement values for the message. This can be null in the case there are no replacement values in the message.

    - #### getErrorType

          int getErrorType()

      Gets the error code as an integer. The integer message type is the value of the trailing digits in the error code.
      Returns:
        The integer message type.

    - #### getCause

          Throwable getCause()

      Gets the cause of the exception. This is a convenience method with the same result as the common getCause() of Throwable.
      Returns:
        The cause of the exception or null if the cause is not a Throwable.

    - #### getMessage

          String getMessage()

      Gets the formatted message.
      Returns:
        A fully formatted message.

    - #### getMessage

          String getMessage​(Locale locale)

      Gets the formatted message in the specified locale. If the locale is null, return the untranslated formatted message. If the message format is unavailable for the specified locale, use normal locale search to find the best available version of the message format based on the locale.
      Returns:
        A fully formatted message.

    - #### getLocalizedMessage

          String getLocalizedMessage()

      Gets the formatted message in the default locale. If the message format is unavailable for the default locale, use normal locale search to find the best available version of the message format based on the locale.
      Returns:
        A fully formatted message.

    - #### getStackTrace

          StackTraceElement[] getStackTrace()

      Gets the stack trace for this object. Each stack trace element represents an entry on the call stack, with the first value in the array representing the most recent call.
      Returns:
        An array of stack trace elements.

    - #### printStackTrace

          void printStackTrace​(PrintStream s)

      Prints the backtrace to the specified print stream.
      Parameters:
        `s` - PrintStream to use for the output

    - #### printStackTrace

          void printStackTrace​(PrintWriter s)

      Prints the backtrace to the specified print writer.
      Parameters:
        `s` - PrintWriter to use for the output